import Vue from 'vue'
import Meta from 'vue-meta'
import Vue2TouchEvents from 'vue2-touch-events'
import router from './router'
import store from './store'

import App from './App'


Vue.use(Meta)
Vue.use(Vue2TouchEvents)


new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
