import Vue from 'vue'
import Vuex from 'vuex'

import api from '@/api'
import { print } from 'graphql/language/printer'
import TextRef from '@/api/queries/TextRef.gql'


Vue.use(Vuex)


export default new Vuex.Store({
  modules: {
  },

  state: {
  },

  mutations: {
  },

  actions: {
    'GET_TEXT' ({ state }, id) {
      return api.post('', { query: print(TextRef), variables: { id } })
    }
  }
})
